Initiate Direct Debit Transactions
This endpoint allows you to initiate a direct debit transaction.
Authentication
AuthorizationBearer
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Headers
Idempotency-Id
Your unique identification for a POST request for CitiConnect API to perform idempotency check. Same client_ID is to be maintained by the client, if client wants to retry request within 48 hours.
Query parameters
client_id
Unique reference which was shared during CitiConnect API on-boarding (ClientId which used during oauth token generation).
Request
Request body for direct debit transaction.
debtor
creditor
method
transaction
initiating_party
mandate_details
ultimate
Response
OK
debtor
creditor
initiating_party
method
transaction
mandate_details
ultimate
transaction_status
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
415
Unsupported Media Type Error
429
Too Many Requests Error
500
Internal Server Error